Signatures
Envelope Cancel
Terminates the signing process by canceling a sent envelope.
- The envelope is identified using the envelopeId path parameter.
- Once canceled, the envelope transitions to a final state of "Canceled", preventing any further actions by recipients (e.g., viewing or signing documents).
- Use this endpoint when a sender needs to stop the process, for example, due to errors in the envelope, changes in requirements, or other reasons. Note: this is a state-mutating operation exposed as GET. It also performs no status-precondition check - it can be called against an envelope in any status, including one already Completed, Deleted, or Canceled.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Path Parameters
envelopeId*string
The ID of the envelope which Audit trail is needed.
Header Parameters
X-Origin-IpAddress?string
Caller IP address, recorded in the audit trail. Not validated.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/signatures/envelope/string/cancel"{ "result": { "statusCode": 200, "message": "OK", "data": { "envelope": { "id": "string", "message": "string" } } }, "origin": "string", "dateTime": "string"}{ "error": { "message": "Envelope not found.", "statusCode": 400, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create", "dateTime": "2026-07-20T12:00:00.0000000+00:00"}{ "error": { "message": "Envelope not found.", "statusCode": 400, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create", "dateTime": "2026-07-20T12:00:00.0000000+00:00"}